Subject: [NEXTEL-1] Verizon Wireless, Circuit City Link Up

From: [email-masked]
Date: Mon, 14 Jul 2003 23:42:14 -0400

Verizon Wireless, Circuit City Link Up

Verizon Wireless will begin selling its services in more than 580 Circuit City
Stores [NYSE: CC] outlets in early August. The carrier, a joint venture between
Verizon Communications [NYSE: VZ] and Vodafone Group plc [NYSE: VOD], said Circuit
City will offer most of its service plans and approved handsets. Financial
terms or length of the deal weren't released. routed

www.telecomweb.com

------------------------ Yahoo! Groups Sponsor ---------------------~-->
Buy Coral Calcium for Greater Health. 1 month supply - $23.95
(1 bottle, 90 tablets, 400mg each with Magnesium & Vitamin D)
http://www.challengerone.com/t/l.asp?cid=2805&lp=calcium2.asp
http://us.click.yahoo.com/mcIe3D/v9VGAA/ySSFAA/61FxlB/TM
---------------------------------------------------------------------~->

Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/